declare const EPSILON = 1e-9;
declare const BOX_DEFAULTS: {
    x: number;
    y: number;
    width: number;
    height: number;
    angle: number;
    strokeColor: string;
    backgroundColor: string;
    fillStyle: string;
    strokeStyle: string;
    strokeWidth: number;
    roughness: number;
    opacity: number;
    groupIds: never[];
    roundness: {
        type: number;
    };
    version: number;
    versionNonce: number;
    isDeleted: boolean;
    boundElements: never[];
    updated: number;
    link: null;
    locked: boolean;
};
declare const BOX_SOLID_DEFAULTS: {
    fillStyle: string;
    backgroundColor: string;
    roundness: null;
    x: number;
    y: number;
    width: number;
    height: number;
    angle: number;
    strokeColor: string;
    strokeStyle: string;
    strokeWidth: number;
    roughness: number;
    opacity: number;
    groupIds: never[];
    version: number;
    versionNonce: number;
    isDeleted: boolean;
    boundElements: never[];
    updated: number;
    link: null;
    locked: boolean;
};
declare const BOX_EXPORT_KEYS: string[];
declare const TEXT_DEFAULTS: {
    text: string;
    fontSize: number;
    fontFamily: number;
    textAlign: string;
    verticalAlign: string;
    baseline: number;
    containerId: null;
    originalText: string;
    roundness: null;
    x: number;
    y: number;
    width: number;
    height: number;
    angle: number;
    strokeColor: string;
    backgroundColor: string;
    fillStyle: string;
    strokeStyle: string;
    strokeWidth: number;
    roughness: number;
    opacity: number;
    groupIds: never[];
    version: number;
    versionNonce: number;
    isDeleted: boolean;
    boundElements: never[];
    updated: number;
    link: null;
    locked: boolean;
};
declare const CODE_TEXT: {
    fontFamily: number;
    text: string;
    fontSize: number;
    textAlign: string;
    verticalAlign: string;
    baseline: number;
    containerId: null;
    originalText: string;
    roundness: null;
    x: number;
    y: number;
    width: number;
    height: number;
    angle: number;
    strokeColor: string;
    backgroundColor: string;
    fillStyle: string;
    strokeStyle: string;
    strokeWidth: number;
    roughness: number;
    opacity: number;
    groupIds: never[];
    version: number;
    versionNonce: number;
    isDeleted: boolean;
    boundElements: never[];
    updated: number;
    link: null;
    locked: boolean;
};
declare const TEXT_EXPORT_KEYS: string[];
declare const FONT_FAMILY: {
    [key: number]: string;
};
declare const LINE_DEFAULTS: {
    points: number[][];
    lastCommittedPoint: null;
    startBinding: null;
    endBinding: null;
    startArrowhead: null;
    endArrowhead: null;
    roundness: {
        type: number;
    };
    x: number;
    y: number;
    width: number;
    height: number;
    angle: number;
    strokeColor: string;
    backgroundColor: string;
    fillStyle: string;
    strokeStyle: string;
    strokeWidth: number;
    roughness: number;
    opacity: number;
    groupIds: never[];
    version: number;
    versionNonce: number;
    isDeleted: boolean;
    boundElements: never[];
    updated: number;
    link: null;
    locked: boolean;
};
declare const LINE_EXPORT_KEYS: string[];
declare const ARROW_DEFAULTS: {
    endArrowhead: string;
    points: number[][];
    lastCommittedPoint: null;
    startBinding: null;
    endBinding: null;
    startArrowhead: null;
    roundness: {
        type: number;
    };
    x: number;
    y: number;
    width: number;
    height: number;
    angle: number;
    strokeColor: string;
    backgroundColor: string;
    fillStyle: string;
    strokeStyle: string;
    strokeWidth: number;
    roughness: number;
    opacity: number;
    groupIds: never[];
    version: number;
    versionNonce: number;
    isDeleted: boolean;
    boundElements: never[];
    updated: number;
    link: null;
    locked: boolean;
};
export { ARROW_DEFAULTS, BOX_DEFAULTS, BOX_EXPORT_KEYS, BOX_SOLID_DEFAULTS, CODE_TEXT, EPSILON, FONT_FAMILY, LINE_DEFAULTS, LINE_EXPORT_KEYS, TEXT_DEFAULTS, TEXT_EXPORT_KEYS, };
