import { IConstruct, MetadataEntry } from 'constructs';
import { Icon } from './icons';
import * as primitives from './primitives';
export interface AppState {
    readonly viewBackgroundColor: string;
    readonly gridSize: any;
}
export declare class SketchBuilder {
    data: any;
    icons: {
        [key: string]: Icon;
    };
    arrows: primitives.Arrow[];
    arrowIconGap: number;
    private delayedArrows;
    constructor();
    visit(node: IConstruct): void;
    addIconForConstruct(node: IConstruct, metadata: MetadataEntry): void;
    registerArrow(startNodeId: string, endNodeId: string): void;
    addArrow(startNodeId: string, endNodeId: string): string;
    exportToFile(savePath: string): void;
}
